<template>
  <v-layout wrap class="writing-instruction-image">
    <group-item :number-items="content.length" :active-item="activeImage" @next="next" @back="back">
      <v-layout justify-center align-start>
        <img slot="media" class="writing-instruction-image__img" :src="contentImage" alt>
      </v-layout>
    </group-item>
    <h3 class="writing-instruction-image__description">{{contentText}}</h3>
  </v-layout>
</template>

<script>
import GroupItem from '@/components/Globals/Groups/Index';

export default {
  props: {
    content: {
      type: Array,
      default: () => [''],
    },
  },
  components: {
    GroupItem,
  },
  data() {
    return {
      activeImage: 0,
    };
  },
  methods: {
    next(data) {
      this.activeImage = data;
    },
    back(data) {
      this.activeImage = data;
    },
  },
  computed: {
    contentImage() {
      return this.content[this.activeImage]
        ? this.content[this.activeImage].value
        : '';
    },
    contentText() {
      return this.content[this.activeImage]
        ? this.content[this.activeImage].description
        : '';
    },
  },
};
</script>

<style lang="sass">
  @import ~@/styles/defaults/mobileFirst

  .writing-instruction-image
    width: 95%
    min-width: 70%
    max-width: 95vw
    margin: 0 auto
    height: 100%
    &__description
      width: 100%
      text-align: center
    &__img
      width: auto
      max-width: 90%
      max-height: 30vh
    +media-min-lg()
      width: 99%


</style>
